Subject: Re: bug#11519: "Wrong type argument: characterp" building custom-deps while boostrapping

From: Eli Zaretskii <[email-masked]>
Date: Mon, 28 May 2012 23:47:13 +0300

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked], [email-masked],
>         [email-masked]
> Date: Mon, 28 May 2012 15:44:18 -0400
> 
> > I wouldn't recommend removing the calls to
> > r_alloc_inhibit_buffer_relocation around calls to regex, as that is an
> > external function we don't control.  But if you feel strongly about
> > that, I will remove them.
> 
> I don't feel strongly about that.  But this code is all ours, it's not
> an external function (it used to be half-external, and then I hacked on
> it half-extensively, after which the new version was sync'd back from
> Emacs to gnulib, after which the gnulib side dropped it, and AFAIK Emacs
> is the last remaining development line of this code, except maybe for
> XEmacs's version).

If you are confident that regex.c doesn't call malloc in any other
place, and that chances for it to do so in the future are low enough,
then I'm okay with removing the calls to
r_alloc_inhibit_buffer_relocation.